gorro={hab=5,x=48,y=24,bb={x=0,y=0,w=8,h=8}}

function gorro.init()
    local habs={{60,5},{4,5},{34,4},{62,7},{75,4}}
    local r=1+math.random(0,#habs-1)
    gorro.hab=habs[r][1]
    gorro.x=habs[r][2]*8
    gorro.update=gorro.update
    gorro.draw=gorro.draw
end

function gorro.draw()
    draw.surf(96,32,16,16,gorro.x,gorro.y,16,16)
end

function gorro.update()
    if gorro.hab==abad.hab then
        if aabb(abad,gorro) then
            abad.objects.gorro=true
            if premiere.scene_intro then
                start_scene(scenes.gorro_trobat)
            else
                start_scene(scenes.gorro_trobat_nointro)
            end
            if abad.objects.gps~=nil then current_camera=3 end
            remove_actor(gorro)
        end
    end
end
